classification
Title: Public API for Vectorcall (PEP 590)
Type: Stage: resolved
Components: C API Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: hroncok, miss-islington, petr.viktorin, vstinner
Priority: release blocker Keywords: patch

Created on 2020-01-07 12:36 by petr.viktorin, last changed 2020-05-25 15:49 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17893 merged petr.viktorin, 2020-01-07 12:45
PR 18460 merged petr.viktorin, 2020-02-11 13:02
PR 20388 merged hroncok, 2020-05-25 15:37
PR 20389 merged miss-islington, 2020-05-25 15:43
Messages (6)
msg359506 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2020-01-07 12:36
As per PEP 590, in Python 3.9 the Vectorcall API will be public, i.e. without leading underscores.
msg360878 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-01-28 14:29
I put the priority on release blocker to ensure that we don't miss Python 3.9 deadline. It would be great to not miss 3.9 release.
msg361487 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-02-06 14:48
New changeset 3f563cea567fbfed9db539ecbbacfee2d86f7735 by Petr Viktorin in branch 'master':
bpo-39245: Make Vectorcall C API public (GH-17893)
https://github.com/python/cpython/commit/3f563cea567fbfed9db539ecbbacfee2d86f7735
msg361823 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2020-02-11 16:47
New changeset ffd9753a944916ced659b2c77aebe66a6c9fbab5 by Petr Viktorin in branch 'master':
bpo-39245: Switch to public API for Vectorcall (GH-18460)
https://github.com/python/cpython/commit/ffd9753a944916ced659b2c77aebe66a6c9fbab5
msg369890 - (view) Author: miss-islington (miss-islington) Date: 2020-05-25 15:42
New changeset e50883ccc4bfa198c3d5e3367306324fc49730cb by Miro HronĨok in branch 'master':
bpo-39245: Fix docs links to the stable ABI (GH-20388)
https://github.com/python/cpython/commit/e50883ccc4bfa198c3d5e3367306324fc49730cb
msg369891 - (view) Author: miss-islington (miss-islington) Date: 2020-05-25 15:49
New changeset 9a5e643483578c3a944ceb5aa511d6c24280aedc by Miss Islington (bot) in branch '3.9':
bpo-39245: Fix docs links to the stable ABI (GH-20388)
https://github.com/python/cpython/commit/9a5e643483578c3a944ceb5aa511d6c24280aedc
History
Date User Action Args
2020-05-25 15:49:39miss-islingtonsetmessages: + msg369891
2020-05-25 15:43:04miss-islingtonsetpull_requests: + pull_request19652
2020-05-25 15:42:55miss-islingtonsetnosy: + miss-islington
messages: + msg369890
2020-05-25 15:37:10hroncoksetnosy: + hroncok

pull_requests: + pull_request19651
2020-02-18 11:47:08petr.viktorinsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-02-11 16:47:02petr.viktorinsetmessages: + msg361823
2020-02-11 13:02:10petr.viktorinsetpull_requests: + pull_request17834
2020-02-06 14:48:33vstinnersetmessages: + msg361487
2020-01-28 14:29:18vstinnersetpriority: normal -> release blocker
nosy: + vstinner
messages: + msg360878

2020-01-07 12:45:10petr.viktorinsetkeywords: + patch
stage: patch review
pull_requests: + pull_request17303
2020-01-07 12:36:35petr.viktorinsetcomponents: + C API
versions: + Python 3.9
2020-01-07 12:36:10petr.viktorincreate